<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>SI-BKD Beranda</title>
</head>
<body onload="startTime()">

<div layout:fragment="main" class="container">
    <div class="row mb-4">
        <div class="col-md-6">
            <h3><i class="fa-solid fa-check-to-slot" style="color: indigo"></i><b th:text="${' Selamat datang, '+ userAktif.getNamaLengkap()}"> Selamat datang, Nama User</b></h3>
            <span class="text-secondary" th:text="${'Email : '+ userAktif.getUsername() + ' - Role : ' + userAktif.getRole().getDescription()}">Email : email@google.com - Role : Dosen</span>
        </div>
        <div class="col-md-6" align="right">
            <h3 th:if="${semesterAktif == null}"><b>Tidak ada semester aktif</b></h3>
            <h3 th:if="${semesterAktif != null}"><b th:text="${semesterAktif.getNamaSemester()}">Semester : Semester yang aktif</b></h3>
            <span th:text="${#dates.format(#dates.createNow(), 'EEEE, dd MMMM yyyy')} + '&nbsp;'" class="text-secondary">Wednesday 20 Oktober 2022 12:00:00</span>
            <span id="time" class="text-secondary"></span>
        </div>
    </div>
    <div class="row">
        <div class="col-md-7">
            <div class="card bg-white bg-opacity-50" th:if="${semesterTerakhir != null}">
                <div class="card-header bg-white bg-opacity-50">
                    <div class="row p-4">
                        <div class="col-md-12">
                            <h3><i class="fa fa-calendar" style="color: #d3b30d"></i><span class="text-success"> Jadwal BKD</span></h3>
                        </div>
<!--                        <div class="col-md-4" align="right">-->
<!--                            <a class="btn btn-outline-success" th:href="@{/semester/ubah}">Ubah Semester</a>-->
<!--                        </div>-->
                    </div>
                </div>
                <div class="card-body">
                    <div class="row p-4">
                        <div class="col-md-12" th:if="${semesterAktif != null}">
                            <span class="text-success" th:if="${sekarang.isAfter(semesterAktif.getTanggalBukaLaporan()) and sekarang.isBefore(semesterAktif.tanggalTutupLaporan)}"><b th:text="${'Jadwal saat ini : Pelaporan BKD'}">Periode Semester :</b></span>
                            <span class="text-success" th:if="${sekarang.isAfter(semesterAktif.getTanggalBukaPenilaian()) and sekarang.isBefore(semesterAktif.getTanggalTutupPenilaian())}"><b th:text="${'Jadwal saat ini : Penilaian BKD'}">Periode Semester :</b></span>
                            <span class="text-success" th:if="${sekarang.isAfter(semesterAktif.getTanggalBukaPerbaikan()) and sekarang.isBefore(semesterAktif.getTanggalTutupPerbaikan())}"><b th:text="${'Jadwal saat ini : Perbaikan pelaporan BKD'}">Periode Semester :</b></span>
                            <span class="text-success" th:if="${sekarang.isAfter(semesterAktif.getTanggalBukaPenilaianUlang()) and sekarang.isBefore(semesterAktif.getTanggalBukaPenilaianUlang())}"><b th:text="${'Jadwal saat ini : Penilaian ulang BKD'}">Periode Semester :</b></span>
                            <span class="text-success" th:if="${sekarang.isAfter(semesterAktif.getTanggalTutupPenilaianUlang())}"><b>Tidak ada jadwal saat ini</b></span>
                            <span class="text-success" th:if="${sekarang.isBefore(semesterAktif.getTanggalBukaLaporan())}"><b>Jadwal Pelaporan belum dimulai</b></span>
                        </div>
<!--                        <div class="col-md-12">-->
<!--                            <b>1 Oktober 2022 s/d 31 Oktober 2022</b>-->
<!--                        </div>-->
                        <div class="col-md-12 table-responsive">
                            <H3 th:if="${semesterAktif == null}">Belum ada semester aktif</H3>
                            <table class="table table-hover table-striped" th:if="${semesterAktif != null}">
                                <thead class="table-dark bg-success" style="--bs-table-bg:bg-success;">
                                <tr>
                                    <th class="p-3 align-middle">Kegiatan</th>
                                    <th class="p-3 align-middle">Periode Waktu</th>
                                </tr>
                                </thead>
                                <tbody class="small">
                                <tr>
                                    <td>Input Laporan BKD</td>
                                    <td th:if="${semesterAktif != null and semesterAktif.getId() == semesterTerakhir.getId()}"
                                        th:text="${#temporals.format(semesterAktif.tanggalBukaLaporan, 'dd MMMM yyyy hh:mm a') + ' - ' + #temporals.format(semesterAktif.tanggalTutupLaporan, 'dd MMMM yyyy hh:mm a')}">28 November 2022 11:00 - 29 November 2022 08:00</td>
                                    <td th:if="${semesterAktif != null and semesterAktif.getId() != semesterTerakhir.getId()}"
                                        th:text="${#temporals.format(semesterTerakhir.tanggalBukaLaporan, 'dd MMMM yyyy hh:mm a') + ' - ' + #temporals.format(semesterTerakhir.tanggalTutupLaporan, 'dd MMMM yyyy hh:mm a')}">28 November 2022 11:00 - 29 November 2022 08:00</td>
                                </tr>
                                <tr>
                                    <td>Penilaian oleh Asesor</td>
                                    <td th:if="${semesterAktif != null and semesterAktif.getId() == semesterTerakhir.getId()}"
                                        th:text="${#temporals.format(semesterAktif.tanggalBukaPenilaian, 'dd MMMM yyyy hh:mm a') + ' - ' + #temporals.format(semesterAktif.tanggalTutupPenilaian, 'dd MMMM yyyy hh:mm a')}">28 November 2022 11:00 - 29 November 2022 08:00</td>
                                    <td th:if="${semesterAktif != null and semesterAktif.getId() != semesterTerakhir.getId()}"
                                        th:text="${#temporals.format(semesterTerakhir.tanggalBukaPenilaian, 'dd MMMM yyyy hh:mm a') + ' - ' + #temporals.format(semesterTerakhir.tanggalTutupPenilaian, 'dd MMMM yyyy hh:mm a')}">28 November 2022 11:00 - 29 November 2022 08:00</td>
                                </tr>
                                <tr>
                                    <td>Perbaikan Laporan BKD</td>
                                    <td th:if="${semesterAktif != null and semesterAktif.getId() == semesterTerakhir.getId()}"
                                        th:text="${#temporals.format(semesterAktif.tanggalBukaPerbaikan, 'dd MMMM yyyy hh:mm a') + ' - ' + #temporals.format(semesterAktif.tanggalTutupPerbaikan, 'dd MMMM yyyy hh:mm a')}">28 November 2022 11:00 - 29 November 2022 08:00</td>
                                    <td th:if="${semesterAktif != null and semesterAktif.getId() != semesterTerakhir.getId()}"
                                        th:text="${#temporals.format(semesterTerakhir.tanggalBukaPerbaikan, 'dd MMMM yyyy hh:mm a') + ' - ' + #temporals.format(semesterTerakhir.tanggalTutupPerbaikan, 'dd MMMM yyyy hh:mm a')}">28 November 2022 11:00 - 29 November 2022 08:00</td>
                                </tr>
                                <tr>
                                    <td>Penilaian Ulang Asesor</td>
                                    <td th:if="${semesterAktif != null and semesterAktif.getId() == semesterTerakhir.getId()}"
                                        th:text="${#temporals.format(semesterAktif.tanggalBukaPenilaianUlang, 'dd MMMM yyyy hh:mm a') + ' - ' + #temporals.format(semesterAktif.tanggalTutupPenilaianUlang, 'dd MMMM yyyy hh:mm a')}">28 November 2022 11:00 - 29 November 2022 08:00</td>
                                    <td th:if="${semesterAktif != null and semesterAktif.getId() != semesterTerakhir.getId()}"
                                        th:text="${#temporals.format(semesterTerakhir.tanggalBukaPenilaianUlang, 'dd MMMM yyyy hh:mm a') + ' - ' + #temporals.format(semesterTerakhir.tanggalTutupPenilaianUlang, 'dd MMMM yyyy hh:mm a')}">28 November 2022 11:00 - 29 November 2022 08:00</td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-5">
            <div class="row">
                <div class="card bg-white bg-opacity-50 mb-3">
                    <div class="card-header bg-white bg-opacity-50">
                        <div class="row p-4">
                            <div class="col-md-12">
                                <h3><i class="fa fa-book" style="color: #d3b30d"></i><span class="text-success"> Pedoman BKD</span></h3>
                            </div>
                            <!--                        <div class="col-md-4" align="right">-->
                            <!--                            <a class="btn btn-outline-success" th:href="@{/semester/ubah}">Ubah Semester</a>-->
                            <!--                        </div>-->
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="row p-4">
                            <div class="col-md-12 mb-2">
                                <a th:href="@{/pedoman/bkd/}" target="_blank" class="text-success"><i class="fa fa-download"></i> <b> Pedoman BKD Kopertais Wilayah 2</b></a>
                            </div>
                            <div class="col-md-12 mb-2">
                                <a href="https://www.youtube.com/watch?v=my1gYcy6TwI&t=374s" target="_blank" class="text-success"><i class="fa fa-download"></i> <b> Petunjuk manual penggunaan SI-BKD</b></a>
                            </div>
                            <div class="col-md-12 mb-2">

                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="card" th:if="${semesterAktif != null}" sec:authorize="hasAuthority('MENU_ASSESMENT_ALL')">
                    <div class="card-body">
                        <a class="btn btn-secondary" disabled="true" th:if="${semesterAktif != null and sekarang.isBefore(semesterAktif.getTanggalBukaPenilaian())}">Assesment All</a>
                        <a th:href="@{/assesment/all}" class="btn btn-success" th:if="${semesterAktif != null and sekarang.isAfter(semesterAktif.getTanggalBukaPenilaian())}">Assesment All</a>
                    </div>
                </div>

            </div>
        </div>
    </div>

</div>

<div layout:fragment="footer" class="script">
    <script>
        function startTime() {
            const today = new Date();
            let h = today.getHours();

            for(i=0;i<=9;i++) {
                let hcopy = h;
                if(h==i) {
                    h = '0' + hcopy;
                }
            }

            let m = today.getMinutes();
            let s = today.getSeconds();
            m = checkTime(m);
            s = checkTime(s);
            document.getElementById('time').innerHTML =  h + ":" + m + ":" + s;
            setTimeout(startTime, 1000);
        }

        function checkTime(i) {
            if (i < 10) {i = "0" + i};  // add zero in front of numbers < 10
            return i;
        }
    </script>
</div>

</body>
</html>